package com.hfkj.service.coupon;

import com.hfkj.entity.BsOrderCoupon;
import com.hfkj.model.order.OrderCouponModel;

import java.util.List;
import java.util.Map;

/**
 * 卡券订单业务
 * @className: BsOrderCouponService
 * @author: HuRui
 * @date: 2024/5/10
 **/
public interface BsOrderCouponService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsOrderCoupon data);

    /**
     * 查询卡券订单
     * @param orderChildNo 子订单号
     * @return
     */
    BsOrderCoupon getDetailByChildOrderNo(String orderChildNo);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsOrderCoupon getDetail(Long id);

    /**
     * 查询卡券订单
     * @param param
     * @return
     */
    List<OrderCouponModel> getOrderList(Map<String,Object> param);

}
